Bug 138065 - CAN-2004-0942 Memory consumption DoS
CAN-2004-0942 Memory consumption DoS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
public=20041101,impact=important
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-04 06:44 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.0.51-2.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-12 16:26:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-11-04 06:44:15 EST
An issue was discovered where the field length limit was not enforced
for certain malicious requests. This could allow a remote attacker who
is able to send large amounts of data to a server the ability to cause
Apache children to consume proportional amounts of memory, leading to
a denial of service.

Affects: 2.0.52, 2.0.51, 2.0.50, 2.0.49, 2.0.48, 2.0.47, 2.0.46,
2.0.45, 2.0.44, 2.0.43, 2.0.42, 2.0.40, 2.0.39, 2.0.37, 2.0.36, 2.0.35

Proposed patch;

http://marc.theaimsgroup.com/?l=apache-httpd-dev&m=109932823014967&w=2

Public since Nov01

        CAN-2004-0942 Affects: FC2
        CAN-2004-0942 Affects: FC3-3.8
Comment 1 Joe Orton 2004-11-12 16:26:46 EST
Fixed in 2.0.51-2.9 for FC2:

http://www.redhat.com/archives/fedora-announce-list/2004-November/msg00046.html
Comment 2 Joe Orton 2004-11-12 16:30:44 EST
And fixed in 2.0.52-3.1 for FC3:

http://www.redhat.com/archives/fedora-announce-list/2004-November/msg00047.html
Comment 3 Ivan Baldo 2004-11-22 16:23:26 EST
It is exploitable in Fedora Core 1 too and fedoralegacy.org doesn't
have an update yet (2.0.51-1.4.legacy).

Note You need to log in before you can comment on or make changes to this bug.